class bullet{
  float x,y,speed;
  bullet(float _x, float _s){
    x=_x;
    y=height-33;
    speed = _s;
  }
  void update(){
    move();
    checkInvaders(); 
    checkUpperBorder();
    drawMe();
  }
  void move(){
    y -= speed;
  }

  void checkInvaders(){
    for(int i=0;i<numOfInvaders;i++){
      if(invaders[i].isAlive()){
        float ix = invaders[i].getX();
        float iy = invaders[i].getY();
        //teniendo en cuenta que los invaders son imágenes de 24x16
        if(abs(ix-x)<12 && abs(iy-y)<8){
          invaders[i].kill();
          removeMe();
        }
      }
    }
  }

  void checkUpperBorder(){
    if(y<0){
      removeMe();
    }  
  }

  void drawMe(){
    image(bulletImage,x,y);
  }

  void removeMe(){
    bulletsList.remove(this); 
  }
}



